Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example2
Class RegistrationForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.apache.struts.webapp.example2.RegistrationForm

All Implemented Interfaces:
  Serializable

    public final class RegistrationForm

extends ValidatorForm

Form bean for the user registration page. This form has the following fields, with default values in square brackets:

- action - The maintenance action we are performing (Create, Delete, or Edit).
- fromAddress - The EMAIL address of the sender, to be included on sent messages. [REQUIRED]
- fullName - The full name of the sender, to be included on sent messages. [REQUIRED]
- password - The password used by this user to log on.
- password2 - The confirmation password, which must match the password when changing or setting.
- replyToAddress - The "Reply-To" address to be included on sent messages. [Same as from address]
- username - The registered username, which must be unique. [REQUIRED]

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RegistrationForm()`

Method Summary
`String` | `getAction()` Return the maintenance action.
`String` | `getFromAddress()` Return the from address.
`String` | `getFullName()` Return the full name.
`String` | `getPassword()` Return the password.
`String` | `getPassword2()` Return the confirmation password.
`String` | `getReplyToAddress()` Return the reply to address.
`String` | `getUsername()` Return the username.
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Reset all properties to their default values.
`void` | `setAction(String action)` Set the maintenance action.
`void` | `setFromAddress(String fromAddress)` Set the from address.
`void` | `setFullName(String fullName)` Set the full name.
`void` | `setPassword(String password)` Set the password.
`void` | `setPassword2(String password2)` Set the confirmation password.
`void` | `setReplyToAddress(String replyToAddress)` Set the reply to address.
`void` | `setUsername(String username)` Set the username.
`ActionErrors` | `validate(ActionMapping mapping, HttpServletRequest request)` Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found.

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationForm

    public RegistrationForm()

Method Detail

### getAction

    public String getAction()

  Return the maintenance action.

### setAction

    public void setAction(String action)

  Set the maintenance action.

  Parameters:
    `action` - The new maintenance action.

### getFromAddress

    public String getFromAddress()

  Return the from address.

### setFromAddress

    public void setFromAddress(String fromAddress)

  Set the from address.

  Parameters:
    `fromAddress` - The new from address

### getFullName

    public String getFullName()

  Return the full name.

### setFullName

    public void setFullName(String fullName)

  Set the full name.

  Parameters:
    `fullName` - The new full name

### getPassword

    public String getPassword()

  Return the password.

### setPassword

    public void setPassword(String password)

  Set the password.

  Parameters:
    `password` - The new password

### getPassword2

    public String getPassword2()

  Return the confirmation password.

### setPassword2

    public void setPassword2(String password2)

  Set the confirmation password.

  Parameters:
    `password2` - The new confirmation password

### getReplyToAddress

    public String getReplyToAddress()

  Return the reply to address.

### setReplyToAddress

    public void setReplyToAddress(String replyToAddress)

  Set the reply to address.

  Parameters:
    `replyToAddress` - The new reply to address

### getUsername

    public String getUsername()

  Return the username.

### setUsername

    public void setUsername(String username)

  Set the username.

  Parameters:
    `username` - The new username

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `ValidatorForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

### validate

    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request)

  Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found. If no errors are found, return `null` or an `ActionErrors` object with no recorded error messages.

  Overrides:
    `validate` in class `ValidatorForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.